# Bulk Update an Item's Properties

This method allows you to change the value of multiple properties of a given item at once. This can  update an item's state (i.e., health, wear, strength, consumed, state, etc.)

### Bulk update an item's properties

## Updates multiple value's of an item's properties

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/update_property`

Takes an item's collection address, tokenId, an array of objects with two fields: propertyName & propertyValue (the updated value), and your API key and updates the item's properties

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                         | Type    | Description                                                                                                                                                                                                                                                                       |
| -------------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| address<mark style="color:red;">\*</mark>    | String  | The item's collection address                                                                                                                                                                                                                                                     |
| tokenId<mark style="color:red;">\*</mark>    | Integer | The item's tokenId                                                                                                                                                                                                                                                                |
| properties<mark style="color:red;">\*</mark> | Array   | <p>Array of objects containing the items propertyName's and the new propertyValue's that you wish to update.</p><p></p><p><code>\[</code></p><p><code>{propertyName:"", propertyValue:""},</code></p><p><code>{propertyName:"", propertyValue:""}</code></p><p><code>]</code></p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
You cannot change the value of static properties.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/smart-nft-endpoints/bulk-update-an-items-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
